# docker model

<!---MARKER_GEN_START-->
Docker Model Runner (EXPERIMENTAL)

### Subcommands

| Name                                            | Description                                                                                                           |
|:------------------------------------------------|:----------------------------------------------------------------------------------------------------------------------|
| [`df`](model_df.md)                             | Show Docker Model Runner disk usage                                                                                   |
| [`inspect`](model_inspect.md)                   | Display detailed information on one model                                                                             |
| [`install-runner`](model_install-runner.md)     | Install Docker Model Runner (Docker Engine only)                                                                      |
| [`list`](model_list.md)                         | List the models pulled to your local environment                                                                      |
| [`logs`](model_logs.md)                         | Fetch the Docker Model Runner logs                                                                                    |
| [`package`](model_package.md)                   | Package a GGUF file into a Docker model OCI artifact, with optional licenses, and pushes it to the specified registry |
| [`ps`](model_ps.md)                             | List running models                                                                                                   |
| [`pull`](model_pull.md)                         | Pull a model from Docker Hub or HuggingFace to your local environment                                                 |
| [`push`](model_push.md)                         | Push a model to Docker Hub                                                                                            |
| [`rm`](model_rm.md)                             | Remove local models downloaded from Docker Hub                                                                        |
| [`run`](model_run.md)                           | Run a model and interact with it using a submitted prompt or chat mode                                                |
| [`status`](model_status.md)                     | Check if the Docker Model Runner is running                                                                           |
| [`tag`](model_tag.md)                           | Tag a model                                                                                                           |
| [`uninstall-runner`](model_uninstall-runner.md) | Uninstall Docker Model Runner                                                                                         |
| [`unload`](model_unload.md)                     | Unload running models                                                                                                 |
| [`version`](model_version.md)                   | Show the Docker Model Runner version                                                                                  |



<!---MARKER_GEN_END-->

## Description

Use Docker Model Runner to run and interact with AI models directly from the command line.
For more information, see the [documentation](https://docs.docker.com/model-runner/)
